org.apache.maven.scm

## Class ScmFile

- java.lang.Object
- - org.apache.maven.scm.ScmFile

All Implemented Interfaces:
  Serializable, Comparable

    public class ScmFile
    extends Object
    implements Comparable, Serializable

Version:
  $Id: ScmFile.java 774900 2009-05-14 19:53:16Z olamy $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmFile(String path, ScmFileStatus status)`

### Method Summary

Methods
`int` `compareTo(Object other)`
`boolean` `equals(Object other)`
`String` `getPath()`
`ScmFileStatus` `getStatus()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmFile

    public ScmFile(String path,
           ScmFileStatus status)

Parameters:
  `path` - The file path
  `status` - The file status

### Method Detail

#### getPath

    public String getPath()

Returns:
  the file path

#### getStatus

    public ScmFileStatus getStatus()

Returns:
  The file status

#### compareTo

    public int compareTo(Object other)

Specified by:
  `compareTo` in interface `Comparable`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`